Skip to main content
GET
/
list-rates
/
{id}
Get list rate by id
curl --request GET \
  --url https://channels-service-alpha.fourvenues.com/list-rates/{id} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://channels-service-alpha.fourvenues.com/list-rates/{id}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://channels-service-alpha.fourvenues.com/list-rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "organization_id": "abcdefghi1234567890",
    "event_id": "abcdefghi1234567890",
    "name": "General Access",
    "slug": "general-access",
    "valid_from": "2022-01-01T00:00:00.000Z",
    "complete": false,
    "type": "limited",
    "prices": [
      {
        "price": 12,
        "valid_from": "2022-01-01T00:00:00.000Z",
        "valid_until": "2022-01-01T00:00:00.000Z",
        "men": true,
        "women": true,
        "age": 18,
        "additional_info": "Subject to capacity.",
        "_id": "1643064796675",
        "from": 14400
      }
    ],
    "available": true,
    "availability": {
      "sold": 10,
      "available": 90
    },
    "max": 10,
    "_id": "abcdefghi1234567890",
    "valid_until": "2022-01-01T00:00:00.000Z"
  },
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

List rate id

Response

OK

data
object
success
boolean